
Redmine - Defect #41463

Email not woking in the latest release 5.1.3 (2024-06-12)

2024-10-10 04:32 - Krish Gopalakrishnan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Email not woking in the latest release 5.1.3 (2024-06-12) and the details as below

Environment:

Redmine version                5.1.3.stable

Ruby version                   3.2.5-p208 (2024-07-26) [x86_64-linux]

Rails version                  6.1.7.8

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

Redmine settings:

Redmine theme                  Purplemine2 (includes JavaScript)

SCM:

Subversion                     1.14.2

Mercurial                      6.3.2

Bazaar                         3.3.2

Git                            2.39.2

Filesystem

Redmine plugins:

redmine_wktime                 4.7.4

Related issues:

Has duplicate Redmine - Defect #41490: Request for docker-compose.yml and con... Closed

History

#1 - 2024-10-10 22:48 - Holger Just

- Status changed from New to Needs feedback

What exactly is not working? Please describe in detail what you are trying to do, what you would expect to happen and what you observe instead.

Please be specific.

#2 - 2024-10-11 04:06 - Krish Gopalakrishnan

All the configurations were made perfectly, but email notifications not generating from the redmine to the users .

#3 - 2024-10-14 20:20 - Krish Gopalakrishnan

Please help the error is An error occurred while sending mail (Net::ReadTimeout with #<Socket:(closed)>)

#4 - 2024-10-14 20:21 - Krish Gopalakrishnan

- File Email Error Snapshot.png added

Please help the error is An error occurred while sending mail (Net::ReadTimeout with #<Socket:(closed)>)

#5 - 2024-10-16 12:59 - Krish Gopalakrishnan

Had deployed Redmine version 5.1.3 on CentOS 9.2 . Could you please provide the docker-compose.yml and configuration.yml files for this

version. Just to cross check with the existing files please..

#6 - 2024-10-16 19:39 - Holger Just
- Has duplicate Defect #41490: Request for docker-compose.yml and configuration.yml added

#7 - 2024-10-16 19:42 - Holger Just

Redmine does not ship with a docker configuration. There are several third-party projects who provide a docker image though. If you are using one of

those images, please contact the maintainers of this image.

As for your apparent issue: it seems that Redmine is not able to contact the mailserver you have configured in your configuration.yml. This may have

several causes, including firewall or routing issues, DNS resolution issues, and others.

Check that you can reach the configured mailserver from your Redmine server. If this does not work, you may have to use a different mailserver or

change your server's configuration so that it can reach your mailserver.

#8 - 2024-12-29 02:32 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Files

Email Error Snapshot.png 35.5 KB 2024-10-14 Krish Gopalakrishnan
